Bug 1758543 - Fix block device reconstruction
Summary: Fix block device reconstruction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Jan Safranek
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-04 13:25 UTC by Jan Safranek
Modified: 2020-05-13 21:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:26:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24069 'None' 'closed' 'Bug 1758543: Fix volume reconstruction' 2019-11-25 09:46:11 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-05-13 21:26:52 UTC

Description Jan Safranek 2019-10-04 13:25:46 UTC
When a pod with a block volume is deleted while kubelet is down (e.g. whole node is powered off), newly started kubelet does not clean up the device symlinks.

It is reported upstream: https://github.com/kubernetes/kubernetes/issues/83445

We need to backport at least these PRs when they're merged upstream:

https://github.com/kubernetes/kubernetes/pull/83451
https://github.com/kubernetes/kubernetes/pull/83466

+ watch the issue if there are more PRs.

Comment 4 Liang Xia 2019-11-25 09:50:14 UTC
Check with 4.3.0-0.nightly-2019-11-24-183610,

Create a pod with persistent volume, wait until the pod is running.
Check which node the pods is scheduled to.
Check on the node that the volume is mounted.

Stop the node, and wait until it's fully stopped.
On the client, force remove the pod.
Start the node, wait until it is running and ready.
Check on the node that the volume is not mounted, and the symlinks are moved.

Comment 6 errata-xmlrpc 2020-05-13 21:26:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.